## golang-github-sigstore-protobuf-specs 0.2.1

=== Makefile ===
#
# Copyright 2022 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PROTOC_IMAGE=protobuf-specs-build
JSONSCHEMA_IMAGE=jsonschema-specs-build

# generate all language protobuf code
all: go python typescript ruby rust jsonschema

# generate Go protobuf code
go: docker-image
	@echo "Generating go protobuf files"
	docker run --platform linux/amd64 -v ${PWD}:/defs ${PROTOC_IMAGE} -d protos -l go --go-module-prefix github.com/sigstore/protobuf-specs/gen/pb-go

python: docker-image
	@echo "Generating python protobuf files"
# we need to manually fix the PYTHONPATH due to: https://github.com/namely/docker-protoc/pull/356
	docker run \
		--platform linux/amd64 \
		-v ${PWD}:/defs \
		-e PYTHONPATH="/opt/mypy-protobuf/" \
		--entrypoint bash ${PROTOC_IMAGE} \
		-c "cd ./gen/pb-python/sigstore_protobuf_specs && protoc -I/opt/include -I../../../protos/ --python_betterproto_out=. ../../../protos/*.proto"

typescript: docker-image
	@echo "Generating javascript protobuf files"
	docker run \
		--platform linux/amd64 \
		-v ${PWD}:/defs \
		${PROTOC_IMAGE} \
		-d protos -l typescript -o ./gen/pb-typescript/src/__generated__ --ts_opt oneof=unions,forceLong=string,env=node,exportCommonSymbols=false,outputPartialMethods=false,outputEncodeMethods=false,unrecognizedEnum=false

ruby: docker-image
	@echo "Generating ruby protobuf files"
	docker run \
		--platform linux/amd64 \
		-v ${PWD}:/defs \
		--entrypoint bash ${PROTOC_IMAGE} \
		-c "cd ./gen/pb-ruby && protoc -I/opt/include -I../../protos/ --ruby_out=lib ../../protos/*.proto"

jsonschema: docker-image-jsonschema
	@echo "Generating JSON schema files"
	docker run \
	       -v ${PWD}:/defs \
	       --entrypoint sh \
	       ${JSONSCHEMA_IMAGE} \
	       -c "cd defs/gen/jsonschema && ./jsonschema.sh -I ../../protos -I /googleapis/ --jsonschema_out=schemas ../../protos/*.proto"

gen/pb-rust/schemas: jsonschema
	cp -r gen/jsonschema/schemas gen/pb-rust

rust: docker-image gen/pb-rust/schemas
	@echo "Generating rust protobuf files"
	docker run \
		--platform linux/amd64 \
		-v ${PWD}:/defs \
		-e "RUST_BACKTRACE=1" \
		--entrypoint bash ${PROTOC_IMAGE} \
		-c "cd gen/pb-rust && cargo build"

# docker already does its own caching so we can attempt a build every time
.PHONY: docker-image
docker-image:
	@echo "Building development docker image"
	docker build -t ${PROTOC_IMAGE} .

# to recover from a situation where a stale layer exist, just  purging the
# docker image via `make clean` is not enough. Re-building without layer
# cache is the only solution.
.PHONY: docker-image-no-cache
docker-image-no-cache:
	@echo "Building development docker image with disabled cache"
	docker build --no-cache -t ${PROTOC_IMAGE} .

.PHONY: docker-image-jsonschema
docker-image-jsonschema:
	@echo "Building docker image for generating JSON schema files"
	docker build -t ${JSONSCHEMA_IMAGE} -f Dockerfile.jsonschema .

# clean up generated files (not working? try sudo make clean)
clean:
	rm -rf gen/pb-go \
		gen/pb-typescript/src/__generated__ \
		gen/pb-python/sigstore_protobuf_specs/dev \
		gen/pb-python/sigstore_protobuf_specs/io \
		gen/pb-rust/schemas \
		gen/pb-rust/target
	docker rmi -f ${PROTOC_IMAGE}

help:
	docker run --pull always --platform linux/amd64 -v ${PWD}:/defs ${PROTOC_IMAGE}

=== debian/changelog ===
golang-github-sigstore-protobuf-specs (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1060853)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Jan 2024 18:51:07 +0100

=== debian/control ===
Source: golang-github-sigstore-protobuf-specs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-google-genproto-dev,
 golang-google-protobuf-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs.git
Homepage: https://github.com/sigstore/protobuf-specs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/protobuf-specs

Package: golang-github-sigstore-protobuf-specs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-google-genproto-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: Sigstore Protocol Buffer code (library)
 Provides protobuf specifications for Sigstore messages.
 .
 This package contains the library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/protobuf-specs/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-sigstore-protobuf-specs 0.3.2

=== debian/changelog ===
golang-github-sigstore-protobuf-specs (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file to avoid non-release tags.
  * Standards-Version: 4.7.0

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Oct 2024 14:39:09 +0200

## golang-github-sigstore-protobuf-specs 0.3.3

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,13 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-PROTOC_IMAGE=protobuf-specs-build
-JSONSCHEMA_IMAGE=jsonschema-specs-build
+PROTOC_IMAGE = protobuf-specs-build
+JSONSCHEMA_IMAGE = jsonschema-specs-build
+
+RUST_ACTION ?= run -p sigstore-protobuf-specs-codegen
 
 # generate all language protobuf code
-all: go python typescript ruby rust jsonschema
+all: go python typescript ruby jsonschema rust
 
 # generate Go protobuf code
 go: docker-image
@@ -52,23 +54,21 @@
 
 jsonschema: docker-image-jsonschema
 	@echo "Generating JSON schema files"
+	mkdir -p gen/jsonschema/schemas
 	docker run \
 	       -v ${PWD}:/defs \
 	       --entrypoint sh \
 	       ${JSONSCHEMA_IMAGE} \
 	       -c "cd defs/gen/jsonschema && ./jsonschema.sh -I ../../protos -I /googleapis/ --jsonschema_out=schemas ../../protos/*.proto"
 
-gen/pb-rust/schemas: jsonschema
-	cp -r gen/jsonschema/schemas gen/pb-rust
-
-rust: docker-image gen/pb-rust/schemas
-	@echo "Generating rust protobuf files"
+rust: docker-image
 	docker run \
 		--platform linux/amd64 \
 		-v ${PWD}:/defs \
 		-e "RUST_BACKTRACE=1" \
+		-e "CARGO_REGISTRY_TOKEN" \
 		--entrypoint bash ${PROTOC_IMAGE} \
-		-c "cd gen/pb-rust && cargo build"
+		-c "cd gen/pb-rust && cargo ${RUST_ACTION}"
 
 # docker already does its own caching so we can attempt a build every time
 .PHONY: docker-image
@@ -95,8 +95,8 @@
 		gen/pb-typescript/src/__generated__ \
 		gen/pb-python/sigstore_protobuf_specs/dev \
 		gen/pb-python/sigstore_protobuf_specs/io \
-		gen/pb-rust/schemas \
-		gen/pb-rust/target
+		gen/pb-rust/target \
+		gen/jsonschema/schemas
 	docker rmi -f ${PROTOC_IMAGE}
 
 help:

=== debian/changelog ===
golang-github-sigstore-protobuf-specs (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * d/salsa-ci.yml: Build rdeps.  Tighten lintian/autopkgtest checks.
  * Bump d/* copyright years.
  * Add d/lrc.config for licensecheck.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Jan 2025 13:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  golang-google-genproto-dev,
  golang-google-protobuf-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs.git
 Homepage: https://github.com/sigstore/protobuf-specs

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/protobuf-specs/tags .*/tags/v(\d\S*)\.tar\.gz debian

## golang-github-sigstore-protobuf-specs 0.4.1

=== Makefile ===
#
# Copyright 2022 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PROTOC_IMAGE = protoc-base
PROTOC_GO_IMAGE = protoc-go
PROTOC_JSONSCHEMA_IMAGE = protoc-jsonschema
PROTOC_PYTHON_IMAGE = protoc-python
PROTOC_RUBY_IMAGE = protoc-ruby
PROTOC_RUST_IMAGE = protoc-rust
PROTOC_TYPESCRIPT_IMAGE = protoc-typescript

RUST_ACTION ?= run -p sigstore-protobuf-specs-codegen

PLATFORM ?= linux/amd64
UID ?= $(shell id -u)
GID ?= $(shell id -g)
DOCKER_BUILD = docker build --platform ${PLATFORM} --build-arg UID=${UID}
DOCKER_RUN = docker run --platform ${PLATFORM} --user ${UID}:${GID}

PROTOS = $(shell find protos/ -iname "*.proto" | sed 's|^|/defs/|')

include protoc-builder/versions.mk

# generate all language protobuf code
all: go python typescript ruby jsonschema rust

# generate Go protobuf code
go: base-image-go
	@echo "Generating go proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_GO_IMAGE} -f Dockerfile.go .
	@echo "Generating go protobuf files"
	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_GO_IMAGE} \
	  -I/opt/include -I/googleapis -I/defs/protos \
	  --go_opt=module=github.com/sigstore/protobuf-specs/gen/pb-go --go_out=/defs/gen/pb-go ${PROTOS}

python: base-image-python
	@echo "Generating python proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_PYTHON_IMAGE} -f Dockerfile.python .
	@echo "Generating python protobuf files"
	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_PYTHON_IMAGE} \
	  -I/opt/include -I/googleapis -I/defs/protos \
	  --python_betterproto_opt=pydantic_dataclasses --python_betterproto_out=/defs/gen/pb-python/sigstore_protobuf_specs ${PROTOS}

typescript: base-image-typescript
	@echo "Generating typescript proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_TYPESCRIPT_IMAGE} -f Dockerfile.typescript .
	@echo "Generating javascript protobuf files"
	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_TYPESCRIPT_IMAGE} \
	  -I/opt/include -I/googleapis -I/defs/protos \
	  --ts_proto_out=/defs/gen/pb-typescript/src/__generated__ --ts_proto_opt=oneof=unions,forceLong=string,env=node,exportCommonSymbols=false,outputPartialMethods=false,outputEncodeMethods=false,unrecognizedEnum=false ${PROTOS}

ruby: base-image-ruby
	@echo "Generating ruby proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_RUBY_IMAGE} -f Dockerfile.ruby .
	@echo "Generating ruby protobuf files"
	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_RUBY_IMAGE} \
	  -I/opt/include -I/googleapis -I/defs/protos --ruby_out=/defs/gen/pb-ruby/lib ${PROTOS}

jsonschema: base-image-jsonschema
	@echo "Generating jsonschema proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_JSONSCHEMA_IMAGE} -f Dockerfile.jsonschema .
	@echo "Generating JSON schema files"
	mkdir -p gen/jsonschema/schemas
	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_JSONSCHEMA_IMAGE} \
	  -I/opt/include -I/googleapis -I/defs/protos \
	  --jsonschema_out=/defs/gen/jsonschema/schemas --jsonschema_opt=disallow_additional_properties --jsonschema_opt=enforce_oneof --jsonschema_opt=enums_as_strings_only --jsonschema_opt=file_extension=schema.json --jsonschema_opt=json_fieldnames ${PROTOS}

rust: base-image-rust
	@echo "Generating rust proto Docker image"
	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_RUST_IMAGE} -f Dockerfile.rust .
	${DOCKER_RUN} -v ${PWD}:/defs \
	  -e "RUST_BACKTRACE=1" -e "CARGO_REGISTRY_TOKEN" ${PROTOC_RUST_IMAGE} \
	  -c "cd /defs/gen/pb-rust && cargo ${RUST_ACTION}"

.PHONY: base-image-go
base-image-go:
	@echo "Building base docker image for Go"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:go -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${GO_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${GO_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${GO_GOOGLEAPIS_COMMIT} .

.PHONY: base-image-jsonschema
base-image-jsonschema:
	@echo "Building base docker image for jsonschema"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:jsonschema -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${JSONSCHEMA_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${JSONSCHEMA_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${JSONSCHEMA_GOOGLEAPIS_COMMIT} .

.PHONY: base-image-python
base-image-python:
	@echo "Building base docker image for Python"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:python -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${PYTHON_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${PYTHON_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${PYTHON_GOOGLEAPIS_COMMIT} .

.PHONY: base-image-ruby
base-image-ruby:
	@echo "Building base docker image for Ruby"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:ruby -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${RUBY_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${RUBY_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${RUBY_GOOGLEAPIS_COMMIT} .

.PHONY: base-image-rust
base-image-rust:
	@echo "Building base docker image for Rust"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:rust -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${RUST_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${RUST_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${RUST_GOOGLEAPIS_COMMIT} .

.PHONY: base-image-typescript
base-image-typescript:
	@echo "Building base docker image for Typescript"
	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:typescript -f Dockerfile.protoc \
	  --build-arg PROTOC_VERSION=${TYPESCRIPT_PROTOC_VERSION} \
	  --build-arg PROTOC_CHECKSUM=${TYPESCRIPT_PROTOC_CHECKSUM} \
	  --build-arg GOOGLEAPIS_COMMIT=${TYPESCRIPT_GOOGLEAPIS_COMMIT} .

# to recover from a situation where a stale layer exist, just  purging the
# docker image via `make clean` is not enough. Re-building without layer
# cache is the only solution.
.PHONY: base-image-no-cache
base-image-no-cache:
	@echo "Building development docker images with disabled cache"
	@DOCKER_CACHE="--no-cache" make base-image-go
	@DOCKER_CACHE="--no-cache" make base-image-jsonschema
	@DOCKER_CACHE="--no-cache" make base-image-python
	@DOCKER_CACHE="--no-cache" make base-image-ruby
	@DOCKER_CACHE="--no-cache" make base-image-rust
	@DOCKER_CACHE="--no-cache" make base-image-typescript

# clean up generated files (not working? try sudo make clean)
clean:
	rm -rf gen/pb-go/* \
		gen/pb-typescript/src/__generated__/* \
		gen/pb-python/sigstore_protobuf_specs/dev \
		gen/pb-python/sigstore_protobuf_specs/io \
		gen/pb-rust/target \
		gen/jsonschema/schemas
	docker rmi -f ${PROTOC_IMAGE}:go  ${PROTOC_GO_IMAGE} \
		      ${PROTOC_IMAGE}:jsonschema ${PROTOC_JSONSCHEMA_IMAGE} \
		      ${PROTOC_IMAGE}:python ${PROTOC_PYTHON_IMAGE} \
		      ${PROTOC_IMAGE}:ruby ${PROTOC_RUBY_IMAGE} \
		      ${PROTOC_IMAGE}:rust ${PROTOC_RUST_IMAGE} \
		      ${PROTOC_IMAGE}:typescript ${PROTOC_TYPESCRIPT_IMAGE}

=== debian/changelog ===
golang-github-sigstore-protobuf-specs (0.4.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 09:35:17 +0200

golang-github-sigstore-protobuf-specs (0.4.1-1) experimental; urgency=medium

  * New upstream version 0.4.1
  * Standards-Version: 4.7.2.
  * Use dh-sequence-golang.
  * Exclude protoc-builder due to non-Go *.go file.
  * Run go generate.
  * gbp.conf: Use debian-branch=debian/latest.
  * Add Breaks: on too old sigstore-go.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 22:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-google-genproto-dev,
  golang-google-protobuf-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs.git
 Homepage: https://github.com/sigstore/protobuf-specs
@@ -25,6 +25,8 @@
  golang-google-genproto-dev,
  golang-google-protobuf-dev,
  ${misc:Depends},
+Breaks:
+ golang-github-sigstore-sigstore-go-dev (<< 0.7.1~),
 Description: Sigstore Protocol Buffer code (library)
  Provides protobuf specifications for Sigstore messages.
  .

## golang-github-sigstore-protobuf-specs 0.5.0

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 
 PROTOC_IMAGE = protoc-base
 PROTOC_GO_IMAGE = protoc-go
-PROTOC_JSONSCHEMA_IMAGE = protoc-jsonschema
 PROTOC_PYTHON_IMAGE = protoc-python
 PROTOC_RUBY_IMAGE = protoc-ruby
 PROTOC_RUST_IMAGE = protoc-rust
+# the container release action depends on the name being "protoc-services"
+# so change it there too if you change it here.
+PROTOC_SERVICES_IMAGE = protoc-services 
 PROTOC_TYPESCRIPT_IMAGE = protoc-typescript
 
 RUST_ACTION ?= run -p sigstore-protobuf-specs-codegen
@@ -29,53 +31,55 @@
 DOCKER_BUILD = docker build --platform ${PLATFORM} --build-arg UID=${UID}
 DOCKER_RUN = docker run --platform ${PLATFORM} --user ${UID}:${GID}
 
-PROTOS = $(shell find protos/ -iname "*.proto" | sed 's|^|/defs/|')
+# base protos for clients that do not want to include service-protos
+BASE_PROTOS = $(shell find protos/ -iname "*.proto" | sed 's|^|/defs/|')
+BASE_PROTO_INCLUDES=-I/opt/include -I/googleapis -I/defs/protos
+
+PROTOS = $(shell find protos/ service-protos/ -iname "*.proto" | sed 's|^|/defs/|')
+PROTO_INCLUDES=${BASE_PROTO_INCLUDES} -I/defs/service-protos
 
 include protoc-builder/versions.mk
 
 # generate all language protobuf code
-all: go python typescript ruby jsonschema rust
+all: go python typescript ruby rust
 
 # generate Go protobuf code
+# ignore service-protos, go clients should grab those from the service directly
 go: base-image-go
 	@echo "Generating go proto Docker image"
 	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_GO_IMAGE} -f Dockerfile.go .
 	@echo "Generating go protobuf files"
-	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_GO_IMAGE} \
-	  -I/opt/include -I/googleapis -I/defs/protos \
-	  --go_opt=module=github.com/sigstore/protobuf-specs/gen/pb-go --go_out=/defs/gen/pb-go ${PROTOS}
+	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_GO_IMAGE} ${BASE_PROTO_INCLUDES}\
+	  --go_opt=module=github.com/sigstore/protobuf-specs/gen/pb-go --go_out=/defs/gen/pb-go ${BASE_PROTOS}
+
+# an image on ghcr for generating defintions for sigstore services
+services-image: base-image-go
+	@echo "Generating go proto base image"
+	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_GO_IMAGE} -f Dockerfile.go .
+	@echo "Generating services Docker image"
+	# build from root directory so we can inject ./protos/ into the image
+	${DOCKER_BUILD} -t ${PROTOC_SERVICES_IMAGE} --build-arg GO_BASE=${PROTOC_GO_IMAGE} -f protoc-builder/Dockerfile.services .
 
 python: base-image-python
 	@echo "Generating python proto Docker image"
 	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_PYTHON_IMAGE} -f Dockerfile.python .
 	@echo "Generating python protobuf files"
-	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_PYTHON_IMAGE} \
-	  -I/opt/include -I/googleapis -I/defs/protos \
+	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_PYTHON_IMAGE} ${PROTO_INCLUDES}\
 	  --python_betterproto_opt=pydantic_dataclasses --python_betterproto_out=/defs/gen/pb-python/sigstore_protobuf_specs ${PROTOS}
 
 typescript: base-image-typescript
 	@echo "Generating typescript proto Docker image"
 	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_TYPESCRIPT_IMAGE} -f Dockerfile.typescript .
 	@echo "Generating javascript protobuf files"
-	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_TYPESCRIPT_IMAGE} \
-	  -I/opt/include -I/googleapis -I/defs/protos \
+	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_TYPESCRIPT_IMAGE} ${PROTO_INCLUDES}\
 	  --ts_proto_out=/defs/gen/pb-typescript/src/__generated__ --ts_proto_opt=oneof=unions,forceLong=string,env=node,exportCommonSymbols=false,outputPartialMethods=false,outputEncodeMethods=false,unrecognizedEnum=false ${PROTOS}
 
 ruby: base-image-ruby
 	@echo "Generating ruby proto Docker image"
 	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_RUBY_IMAGE} -f Dockerfile.ruby .
 	@echo "Generating ruby protobuf files"
-	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_RUBY_IMAGE} \
-	  -I/opt/include -I/googleapis -I/defs/protos --ruby_out=/defs/gen/pb-ruby/lib ${PROTOS}
-
-jsonschema: base-image-jsonschema
-	@echo "Generating jsonschema proto Docker image"
-	cd protoc-builder && ${DOCKER_BUILD} -t ${PROTOC_JSONSCHEMA_IMAGE} -f Dockerfile.jsonschema .
-	@echo "Generating JSON schema files"
-	mkdir -p gen/jsonschema/schemas
-	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_JSONSCHEMA_IMAGE} \
-	  -I/opt/include -I/googleapis -I/defs/protos \
-	  --jsonschema_out=/defs/gen/jsonschema/schemas --jsonschema_opt=disallow_additional_properties --jsonschema_opt=enforce_oneof --jsonschema_opt=enums_as_strings_only --jsonschema_opt=file_extension=schema.json --jsonschema_opt=json_fieldnames ${PROTOS}
+	${DOCKER_RUN} -v ${PWD}:/defs ${PROTOC_RUBY_IMAGE} ${PROTO_INCLUDES}\
+	  --ruby_out=/defs/gen/pb-ruby/lib ${PROTOS}
 
 rust: base-image-rust
 	@echo "Generating rust proto Docker image"
@@ -91,14 +95,6 @@
 	  --build-arg PROTOC_VERSION=${GO_PROTOC_VERSION} \
 	  --build-arg PROTOC_CHECKSUM=${GO_PROTOC_CHECKSUM} \
 	  --build-arg GOOGLEAPIS_COMMIT=${GO_GOOGLEAPIS_COMMIT} .
-
-.PHONY: base-image-jsonschema
-base-image-jsonschema:
-	@echo "Building base docker image for jsonschema"
-	cd protoc-builder && ${DOCKER_BUILD} ${DOCKER_CACHE} -t ${PROTOC_IMAGE}:jsonschema -f Dockerfile.protoc \
-	  --build-arg PROTOC_VERSION=${JSONSCHEMA_PROTOC_VERSION} \
-	  --build-arg PROTOC_CHECKSUM=${JSONSCHEMA_PROTOC_CHECKSUM} \
-	  --build-arg GOOGLEAPIS_COMMIT=${JSONSCHEMA_GOOGLEAPIS_COMMIT} .
 
 .PHONY: base-image-python
 base-image-python:
@@ -139,7 +135,6 @@
 base-image-no-cache:
 	@echo "Building development docker images with disabled cache"
 	@DOCKER_CACHE="--no-cache" make base-image-go
-	@DOCKER_CACHE="--no-cache" make base-image-jsonschema
 	@DOCKER_CACHE="--no-cache" make base-image-python
 	@DOCKER_CACHE="--no-cache" make base-image-ruby
 	@DOCKER_CACHE="--no-cache" make base-image-rust
@@ -151,10 +146,9 @@
 		gen/pb-typescript/src/__generated__/* \
 		gen/pb-python/sigstore_protobuf_specs/dev \
 		gen/pb-python/sigstore_protobuf_specs/io \
-		gen/pb-rust/target \
-		gen/jsonschema/schemas
+		gen/pb-rust/target
+	find gen/pb-ruby/ -type f -name '*_pb.rb' -delete
 	docker rmi -f ${PROTOC_IMAGE}:go  ${PROTOC_GO_IMAGE} \
-		      ${PROTOC_IMAGE}:jsonschema ${PROTOC_JSONSCHEMA_IMAGE} \
 		      ${PROTOC_IMAGE}:python ${PROTOC_PYTHON_IMAGE} \
 		      ${PROTOC_IMAGE}:ruby ${PROTOC_RUBY_IMAGE} \
 		      ${PROTOC_IMAGE}:rust ${PROTOC_RUST_IMAGE} \

=== gen/pb-python/Makefile ===
.PHONY: all
all:
	@echo "Run my targets individually!"

env/pyvenv.cfg: pyproject.toml
	# Create our Python 3 virtual environment
	rm -rf env
	python3 -m venv env
	./env/bin/python -m pip install --upgrade pip
	./env/bin/python -m pip install -e .[dev]

.PHONY: dev
dev: env/pyvenv.cfg

.PHONY: package
package: env/pyvenv.cfg
	./env/bin/python -m build

=== debian/changelog ===
golang-github-sigstore-protobuf-specs (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Modernize Salsa CI.
  * Bump upstream copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 09 Oct 2025 08:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-protobuf-specs.git
 Homepage: https://github.com/sigstore/protobuf-specs
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/protobuf-specs
 
 Package: golang-github-sigstore-protobuf-specs-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := protoc-builder

export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: protobuf-specs
